Name:           python-rsslib
Version:        0
Release:        2.20130310%{?dist}
Summary:        Create RSS feeds in Python
License:        Copyright only
URL:            http://berserk.org/rsslib/
Source0:        http://berserk.org/rsslib/rsslib.txt
BuildArch:      noarch
BuildRequires:  python2-devel


%description
This library encapsulates the generation of an RSS (2.0) feed.


%prep
rm -rf %{name}-%{version}
mkdir %{name}-%{version}
cd %{name}-%{version}

cp %{SOURCE0} ./rsslib.py
cat >setup.py <<EOS
#!/usr/bin/env python

from distutils.core import setup

setup(name='rsslib',
      version='0',
      description='%{summary}',
      author='Cameron Mallory',
      author_email='cmallory@berserk.org',
      url='http://berserk.org/rsslib/',
      py_modules=['rsslib'],
     )
EOS


%build
cd %{name}-%{version}
python setup.py build


%install
rm -rf %{buildroot}
cd %{name}-%{version}
python setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%{python_sitelib}/*


%changelog
* Sun Mar 10 2013 Conrad Meyer <cemeyer@uw.edu> - 0-2.20130310
- BR python2-devel as per #917330
- Kill python_sitelib (same)
- Put date in release tag to allow for future version bumps (same)

* Sat Mar 2 2013 Conrad Meyer <cemeyer@uw.edu> - 0-1
- Initial package
